Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.metadata.common.domain
Interface InputControl

All Superinterfaces:
  org.acegisecurity.acl.basic.AclObjectIdentity, AttributedObject, InternalURI, Resource, java.io.Serializable

All Known Implementing Classes:
  InputControlImpl

    public interface InputControl

extends Resource

Version:
  $Id: InputControl.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Field Summary
`static byte` | `TYPE_BOOLEAN`
`static byte` | `TYPE_MULTI_SELECT_LIST_OF_VALUES`
`static byte` | `TYPE_MULTI_SELECT_LIST_OF_VALUES_CHECKBOX`
`static byte` | `TYPE_MULTI_SELECT_QUERY`
`static byte` | `TYPE_MULTI_SELECT_QUERY_CHECKBOX`
`static byte` | `TYPE_MULTI_VALUE`
`static byte` | `TYPE_SINGLE_SELECT_LIST_OF_VALUES`
`static byte` | `TYPE_SINGLE_SELECT_LIST_OF_VALUES_RADIO`
`static byte` | `TYPE_SINGLE_SELECT_QUERY`
`static byte` | `TYPE_SINGLE_SELECT_QUERY_RADIO`
`static byte` | `TYPE_SINGLE_VALUE`

Fields inherited from interface com.jaspersoft.jasperserver.api.metadata.common.domain.Resource
`URI_PROTOCOL, VERSION_NEW`

Method Summary
`void` | `addQueryVisibleColumn(java.lang.String column)`
`ResourceReference` | `getDataType()` Returns the reference to the `data type` of this input control.
`java.lang.Object` | `getDefaultValue()`
`java.util.List` | `getDefaultValues()`
`ResourceReference` | `getListOfValues()` Returns the reference to the `list of values` used by this input control.
`ResourceReference` | `getQuery()` Returns the reference to the `query` used by this input control.
`java.lang.String` | `getQueryValueColumn()`
`java.lang.String[]` | `getQueryVisibleColumns()`
`java.util.List` | `getQueryVisibleColumnsAsList()`
`byte` | `getType()`
`boolean` | `isMandatory()`
`boolean` | `isReadOnly()`
`boolean` | `isVisible()`
`void` | `removeQueryVisibleColumn(java.lang.String column)`
`void` | `setDataType(DataType dataType)`
`void` | `setDataType(ResourceReference dataTypeReference)`
`void` | `setDataTypeReference(java.lang.String referenceURI)`
`void` | `setDefaultValue(java.lang.Object value)`
`void` | `setDefaultValues(java.util.List values)`
`void` | `setListOfValues(ListOfValues listOfValues)`
`void` | `setListOfValues(ResourceReference listOfValuesReference)`
`void` | `setListOfValuesReference(java.lang.String referenceURI)`
`void` | `setMandatory(boolean isMandatory)`
`void` | `setQuery(Query query)`
`void` | `setQuery(ResourceReference query)`
`void` | `setQueryReference(java.lang.String referenceURI)`
`void` | `setQueryValueColumn(java.lang.String column)`
`void` | `setReadOnly(boolean isReadOnly)`
`void` | `setType(byte type)`
`void` | `setVisible(boolean isVisible)`

Methods inherited from interface com.jaspersoft.jasperserver.api.metadata.common.domain.Resource
`getCreationDate, getDescription, getLabel, getName, getParentFolder, getResourceType, getURIString, getVersion, isNew, setCreationDate, setDescription, setLabel, setName, setParentFolder, setParentFolder, setURIString, setVersion`

Methods inherited from interface com.jaspersoft.jasperserver.api.common.domain.AttributedObject
`getAttributes, setAttributes`

Methods inherited from interface com.jaspersoft.jasperserver.api.metadata.common.domain.InternalURI
`getParentPath, getParentURI, getPath, getProtocol, getURI`

Methods inherited from interface org.acegisecurity.acl.basic.AclObjectIdentity
`equals, hashCode`

Field Detail

### TYPE_BOOLEAN

    static final byte TYPE_BOOLEAN

See Also:
  Constant Field Values

### TYPE_SINGLE_VALUE

    static final byte TYPE_SINGLE_VALUE

See Also:
  Constant Field Values

### TYPE_SINGLE_SELECT_LIST_OF_VALUES

    static final byte TYPE_SINGLE_SELECT_LIST_OF_VALUES

See Also:
  Constant Field Values

### TYPE_SINGLE_SELECT_QUERY

    static final byte TYPE_SINGLE_SELECT_QUERY

See Also:
  Constant Field Values

### TYPE_MULTI_VALUE

    static final byte TYPE_MULTI_VALUE

See Also:
  Constant Field Values

### TYPE_MULTI_SELECT_LIST_OF_VALUES

    static final byte TYPE_MULTI_SELECT_LIST_OF_VALUES

See Also:
  Constant Field Values

### TYPE_MULTI_SELECT_QUERY

    static final byte TYPE_MULTI_SELECT_QUERY

See Also:
  Constant Field Values

### TYPE_SINGLE_SELECT_LIST_OF_VALUES_RADIO

    static final byte TYPE_SINGLE_SELECT_LIST_OF_VALUES_RADIO

See Also:
  Constant Field Values

### TYPE_SINGLE_SELECT_QUERY_RADIO

    static final byte TYPE_SINGLE_SELECT_QUERY_RADIO

See Also:
  Constant Field Values

### TYPE_MULTI_SELECT_LIST_OF_VALUES_CHECKBOX

    static final byte TYPE_MULTI_SELECT_LIST_OF_VALUES_CHECKBOX

See Also:
  Constant Field Values

### TYPE_MULTI_SELECT_QUERY_CHECKBOX

    static final byte TYPE_MULTI_SELECT_QUERY_CHECKBOX

See Also:
  Constant Field Values

Method Detail

### getType

    byte getType()

### setType

    void setType(byte type)

### isMandatory

    boolean isMandatory()

### setMandatory

    void setMandatory(boolean isMandatory)

### isReadOnly

    boolean isReadOnly()

### setReadOnly

    void setReadOnly(boolean isReadOnly)

### isVisible

    boolean isVisible()

### setVisible

    void setVisible(boolean isVisible)

### getDataType

    ResourceReference getDataType()

  Returns the reference to the `data type` of this input control.

  Returns:
    a reference to the data type used by this input control

### setDataType

    void setDataType(ResourceReference dataTypeReference)

### setDataType

    void setDataType(DataType dataType)

### setDataTypeReference

    void setDataTypeReference(java.lang.String referenceURI)

### getListOfValues

    ResourceReference getListOfValues()

  Returns the reference to the `list of values` used by this input control.

  Returns:
    a reference to the list of values used by this input control

### setListOfValues

    void setListOfValues(ResourceReference listOfValuesReference)

### setListOfValues

    void setListOfValues(ListOfValues listOfValues)

### setListOfValuesReference

    void setListOfValuesReference(java.lang.String referenceURI)

### getQuery

    ResourceReference getQuery()

  Returns the reference to the `query` used by this input control.

  Returns:
    a reference to the query used by this input control

### setQuery

    void setQuery(ResourceReference query)

### setQuery

    void setQuery(Query query)

### setQueryReference

    void setQueryReference(java.lang.String referenceURI)

### getQueryVisibleColumns

    java.lang.String[] getQueryVisibleColumns()

### addQueryVisibleColumn

    void addQueryVisibleColumn(java.lang.String column)

### removeQueryVisibleColumn

    void removeQueryVisibleColumn(java.lang.String column)

### getQueryValueColumn

    java.lang.String getQueryValueColumn()

### setQueryValueColumn

    void setQueryValueColumn(java.lang.String column)

### getDefaultValue

    java.lang.Object getDefaultValue()

### setDefaultValue

    void setDefaultValue(java.lang.Object value)

### getDefaultValues

    java.util.List getDefaultValues()

### setDefaultValues

    void setDefaultValues(java.util.List values)

### getQueryVisibleColumnsAsList

    java.util.List getQueryVisibleColumnsAsList()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.